ZARAFA-SEARCH.CFG(5)

NAME
zarafa-search.cfg - The Zarafa Search configuration file

SYNOPSIS

search.cfg

DESCRIPTION

The search.cfg is a configuration file for the Zarafa Search Service. search.cfg contains instructions for the software to set up the connection, indexing and logging systems.

FILE FORMAT

The file consists of one big section, but parameters can be grouped by functionality.

The parameters are written in the form:

name = value

The file is line-based. Each newline-terminated line represents either a comment, nothing, a parameter or a directive. A line beginning with `#' is considered a comment, and will be ignored by Zarafa. Parameter names are case sensitive. Lines beginning with `!' are directives.

Directives are written in the form:

!directive [argument(s)]

The following directives exist:

include
    Include and process argument Example: !include common.cfg

EXPLANATION OF THE SERVER SETTINGS PARAMETERS

server_socket
    Socket to find the connection to the Zarafa server. Default: file:///var/run/zarafa

run_as_user
    After correctly starting, the server process will become this user, dropping root privileges. Note that the log file needs to be writeable by this user, and the directory too to create new logfiles after logrotation. This can also be achieved by setting the correct group and permissions. Default value is empty, not changing the user after starting.

run_as_group
    After correctly starting, the server process will become this group, dropping root privileges. Default value is empty, not changing the group after starting.

pid_file
    Write the process ID number to this file. Default: /var/run/zarafa-search.pid

running_path
    Change directory to this path when running in daemonize mode. When using the -F switch to run in the foreground the directory will not be changed. Default: /

limit_results
    Limit the number of results returned to the server. If set to a nonzero value, only the N most relevant results will be returned to the server. This in turn limits the number of results that the user will see. If the limit is set to 0, all results will be returned. Default:0

EXPLANATION OF THE SSL SETTINGS PARAMETERS

ssl_key_file
    The file containing the private key and certificate. Please read the SSL section in the zarafa-server(1) manual on how to create this file. Default: /etc/zarafa/ssl/search.pem

ssl_key_pass
    Enter you password here when your key file contains a password to be readable. No default set.

ssl_private_key_file
    zarafa-search will use this file as private key for SSL TLS. This file can be created with: openssl genrsa -out /etc/zarafa/search/privkey.pem 2048. Default: /etc/zarafa/search/privkey.pem

ssl_certificate_file
    zarafa-search will use this file as certificate for SSL TLS. A self-signed certificate can be created with: openssl req -new -x509 -key /etc/zarafa/search/privkey.pem -out /etc/zarafa/search/cert.pem -days 1095. Default: /etc/zarafa/search/cert.pem

EXPLANATION OF THE LOGGING SETTINGS PARAMETERS

log_method
    The method which should be used for logging. Valid values are:

    syslog
        Use the Linux system log. All messages will be written to the mail facility. See also syslog.conf(5).

    file
        Log to a file. The filename will be specified in log_file.

    Default: file

log_file
    When logging to a file, specify the filename in this parameter. Use - (minus sign) for stderr output. Default: /var/log/zarafa/search.log

log_level
    The level of output for logging in the range from 0 to 5. 0 means no logging, 5 means full logging. Default: 2

log_timestamp
    Specify whether to prefix each log line with a timestamp in 'file' logging mode. Default: 1

EXPLANATION OF THE SEARCH SETTINGS PARAMETERS

server_bind_name
    Connection path to which other processes can connect with the zarafa-search for performing search queries. Use http://0.0.0.0:port to listen as an HTTP service on all network interfaces on the given port number. Default: file:///var/run/zarafa-search

index_path
    Directory under which all index files will be placed. Default: /var/db/zarafa/index/

EXPLANATION OF THE INDEX OPTIMIZE SCHEDULE PARAMETERS

optimize_start
    Start the optimization routine at this hour every day. The routine optimizes every index, removing old data and recompressing it, making it faster and smaller. Notation is in 24h format, default starts at 2 am. Default: 2

optimize_stop
    Stop the optimization routine at this hour when not all files were processed. The routine will continue were left off the next day it's started. The current file being processed will be finished, so the time will be passed. Notation is in 24h format, default stops at 5 am. Default: 5

optimize_age
    Only optimize the index file if it wasn't optmized for the past X days. Notation is in days, default is to optimize an index each week. Default: 7

EXPLANATION OF THE ATTACHMENT SEARCH SETTINGS PARAMETERS

index_attachments
    Enable indexing of attachments. When attachments are being indexed, searching for keywords in the body of a message will automatically cause the attachment to be searched as well. This will slow down the indexing process, require more system memory and increases index file size. Default: no

index_attachment_max_size
    Maxiumum file size for attachments to be indexed. Any attachment larger then this amount will not be indexed. This value may contain a k, m or g multiplier. Default: 5M

index_attachment_parser
    For indexing attachment each file must be converted into plain-text by a parser. For this purpose the attachments_parser script has been installed which can be configured to parse specific mime-types. It is highly advisable to check the attachments_parser.db file to add or remove parser command for specific mime-types and/or file-extensions. Default: /etc/zarafa/searchscripts/attachments_parser

index_attachment_parser_max_memory
    Limit the maximum amount of memory (in bytes) the parser may use for converting the attachment into plain-text. If this limit is exceeded the parser will be killed and the attachment will not be completely converted. If the value is set to 0 the limit is considered as infinite. The attachment parser depends on external tools to convert attachments to plain-text, by limiting the amount of resources the parser is allowed to use problems can be prevented when the selected external tool misbehaves with certain attachments. Default: 0 bytes

index_attachment_parser_max_cputime
    Limit the maximum cpu time (in seconds) the parser may use for converting the attachment into plain-text. If this limit is exceeded the parser will be killed and the attachment will not be completely converted. If the value is set to 0 the limit is considered as infinite. The attachment parser depends on external tools to convert attachments to plain-text, by limiting the amount of resources the parser is allowed to use problems can be prevented when the selected external tool misbehaves with certain attachments. Default: 0 seconds

index_attachment_mime_filter
    Some attachments are not intresting to run through the parser. With this option you can filter out attachment which have a specific mimetype. Only the first part of the mimetype should be given here. Good examples of a mimetype to filter is 'image', 'audio' and 'video'. This field is space separated. Default:

index_attachment_extension_filter
    As the mime filter above, but works on the attachment extension. This is only tested if the mimetype of an attachment was unknown. Good examples of an extension to filter is 'gif', 'jpeg', 'jpg' and 'png'. This field is space separated. Default:

index_max_clauses
    This is the maximum number of clauses that can be present in a Lucene search query, after expansion. You can raise this limit if you are experiencing a Too Many Clauses error during searches. Default: 50000 clauses

EXPLANATION OF THE INDEX FILTERS SETTINGS PARAMETERS

index_exclude_properties
    Some properties are ignored because they contain unrelated information for users to find their messages on. A default set of ignored property ids is set here, but can be expanded. Only the id part of a property is needed, and must be string typed properties. The field is space separated. Default: 007D 0064 0C1E 0075 678E 678F

term_cache_size
    The size in bytes of the term cache used when writing terms to the index. A larger term cache will increase indexing speed when indexing large number of documents in a single store. This will barely affect incremental updates after the initial indexing has finished. This value may contain a k, m or g multiplier. Default: 64M

AUTHOR

Written by Zarafa.

SEE ALSO

 zarafa-search(1)